List cloud provider ingestion configurations
1 min
GET
https://app.amberflo.io/focus/configuration
Responses
200
- focus.ingestion.FocusIngestionConfiguration.out[]
- accountIdstringDescription
- idstringDescription
- enabledbooleanDescription
- providerfocus.common.FocusProvider.outrequiredDescription
- typefocus.common.CostDataType.outrequiredDescription
- bucketNamestringDescription
- bucketRegionstringDescription
- prefixstringDescription
- billingAccountIdstringDescription
- labelstringDescription
- descriptionstringDescription
- deduplicationIdstringDescription
- versionstringDescription
- azureAppSecretfocus.ingestion.AzureAppSecret.out
- clientIdstringrequiredDescription
- tenantIdstringrequiredDescription
- secretstringrequiredDescription
- oracleConfigfocus.config.OracleConfig.out
- createTimeInSecondsinteger<int64>Description
- updateTimeInSecondsinteger<int64>Description
- lastScanTimeInSecondsinteger<int64>Description
curl
curl --request GET \
--url https://app.amberflo.io/focus/configuration \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/focus/configuration", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/focus/configuration")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/focus/configuration"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
[
{
"accountId": "",
"id": "",
"enabled": false,
"provider": "",
"type": "",
"bucketName": "",
"bucketRegion": "",
"prefix": "",
"billingAccountId": "",
"label": "",
"description": "",
"deduplicationId": "",
"version": "",
"azureAppSecret": {
"clientId": "",
"tenantId": "",
"secret": ""
},
"oracleConfig": {},
"createTimeInSeconds": "",
"updateTimeInSeconds": "",
"lastScanTimeInSeconds": ""
}
]